<?php
    wp_enqueue_style( 'buttons-style' );  
    $detect = new Mobile_Detect;
    if (isset($_POST["wc-video"])) {
        update_option("wc_opt_btn_url", $_POST["wc-redirect-link"]);
        $wc_opt_displaytime = $_POST["wc-display-time"];
        update_option("wc_opt_displaytime", (int)$wc_opt_displaytime);
        update_option("wc_opt_dimmed", isset($_POST["wc-display-dimmed"]) ? true : false);
        update_option("wc_opt_btn_value", $_POST["wc-link-display"]);
        update_option("wc_opt_btn_style", $_POST["wc-btn-style"]);
        update_option("wc_opt_btn_color", $_POST["wc-btn-color"]);
        update_option("wc_opt_btn_icon", $_POST["wc-btn-icon"]);
        update_option("wc_opt_video", $_POST["wc-video"]);
        update_option("wc_opt_location", $_POST["wc-location"]);
        update_option("wc_opt_ar_code", $_POST["wc-ar-code"]);
        update_option("wc_opt_display_on_pages", isset($_POST["wc-display-on-pages"]) ? $_POST["wc-display-on-pages"] : array());
        update_option("wc_opt_display_on_posts", isset($_POST["wc-display-on-posts"]) ? $_POST["wc-display-on-posts"] : array());
        update_option("wc_opt_display_in_home", isset($_POST["wc-display-in-home"]) ? true : false);
        //lets play the video after saving
        if (!$detect->isMobile() && !$detect->isTablet()) {
            echo "<script type='text/javascript'>
                    var \$wc = jQuery.noConflict();
                    \$wc(document).ready(function() {
                        wcPlayVideo();
                    })
                </script>";
        }
        echo "<div class='updated'><p><strong>Options Saved</strong></p></div>";
    }
    $wc_opt_display_on_pages = get_option("wc_opt_display_on_pages", array());
    $wc_opt_display_on_posts = get_option("wc_opt_display_on_posts", array());
    $wc_opt_display_in_home = get_option("wc_opt_display_in_home", true);
    $wc_opt_displaytime = get_option("wc_opt_displaytime");
    $wc_opt_btn_url = htmlentities(stripslashes(get_option("wc_opt_btn_url")));
    $wc_opt_dimmed = get_option("wc_opt_dimmed");
    $wc_opt_btn_value = htmlentities(stripslashes(get_option("wc_opt_btn_value")));
    $wc_opt_btn_icon = get_option("wc_opt_btn_icon");
    $wc_opt_btn_style = get_option("wc_opt_btn_style");
    $wc_opt_btn_color = get_option("wc_opt_btn_color");
    $wc_opt_video = get_option("wc_opt_video", 1);
    $wc_opt_location = get_option("wc_opt_location", "left");
    $wc_opt_ar_code = get_option("wc_opt_ar_code");
    
    $current_caster = new WCCaster($wc_opt_video);
    
    function wc_get_info($wc_id, $current_video) {
        $arr_info = array();
        if ($wc_id == $current_video) 
            $arr_info["current"] = "active"; 
        else
            $arr_info["current"] = "";
        
        
        $caster = new WCCaster($wc_id);
        $arr_info["cmd_time"] = $caster->command_time;
        $arr_info["thumbnail"] = plugins_url( "/images/thumbnails/".$caster->thumb, __FILE__ );
        $arr_info["name"] = $caster->name;
        $arr_info["desc"] = $caster->description;
        $arr_info["type_name"] = $caster->type_name;
        $arr_info["type"] = $caster->type;
        return $arr_info;
    }
    
    function get_html_wc_row($wc_id, $wc_selected_video) {
        $info = wc_get_info($wc_id, $wc_selected_video);
        $result = "<a href=\"#\" class=\"wc-select-video\" id=\"wc-video-$wc_id\">
                    <div class=\"wc-video-thumb $info[current]\" id=\"wc-video-$wc_id-block\">
                        <img src=\"$info[thumbnail]\" height='90px' alt=\"$info[name]\" />
                        <div class=\"wc-video-thumb-content\">
                            <h3>$wc_id - $info[type_name]</h3>
                            <p class=\"display-time\">Command Display: <strong>$info[cmd_time] Sec</strong></p>
                            <p>$info[desc]</p>
                            <input type='hidden' id='wc-video-$wc_id-type' value=\"$info[type]\" />
                            <input type='hidden' id='wc-video-$wc_id-type-name' value=\"$info[type_name]\" />
                        </div>
                    </div>
                </a>";
        return $result;
    }
    
?>

<style>


#wc-tab-page {
width:100%;

}

#wc-tab-page ul {
    list-style: none outside none;
    padding: 0px;
    background: url("<?php echo plugins_url( '/images/easytab/tab_line.png', __FILE__ );?>") no-repeat scroll 0% 100% transparent;
}

#wc-tab-page li{
	display:inline-block;
	padding:0;
	margin:25px 0;
	border-left:1px solid #dcdcdd
}

#wc-tab-page li.first{
	margin-left:30px;
	border-left:0
}

#wc-tab-page li a{
	font-size:13px;
	font-weight:600;
	color:#8a8f93;

	border:0;
	padding:0 20px 27px 20px;
	display:inline;
	-webkit-transition:color 0.1s ease-in-out;
	-moz-transition:color 0.1s ease-in-out;
	-ms-transition:color 0.1s ease-in-out;
	-o-transition:color 0.1s ease-in-out;
	transition:color 0.1s ease-in-out;
    font-family: arial,sans-serif;
}

#wc-tab-page .wc-tab-pane {
    display: none;
}

#wc-tab-page li a.active{
	color:#31a1ff;
	background:url("<?php echo plugins_url( '/images/easytab/tab_active.png', __FILE__ );?>") no-repeat 50% 100%
}

</style>

<script type="text/javascript">
    var $wc = jQuery.noConflict();
    $wc(document).ready(function() {
        $wc("#wc-link-display").keyup(function() {
            procBtnPreview();
        })
        $wc("#wc-btn-style").change(function() {
            procBtnPreview();
        })
        $wc("#wc-btn-color").change(function() {
            procBtnPreview();
        })
        $wc('input[name=wc-btn-icon]').change(function() {
            procBtnPreview();
        })
        $wc("#wc-btn-style").val("<?php echo $wc_opt_btn_style;?>");
        $wc("#wc-btn-color").val("<?php echo $wc_opt_btn_color;?>");
        $wc("#wc-btn-icon-<?php echo $wc_opt_btn_icon;?>").attr("checked", "checked");
        procBtnPreview();
        
        $wc("a[class=wc-select-video]").each(function() {
            checkWcType(this);
        })
        
        $wc("a[class=wc-select-video]").click(function() {
            var arrVideoId = $wc(this).attr("id").split("-video-");
            var videoId = arrVideoId[1];
            $wc("#wc-selected-video").val(videoId);
            $wc("#wc-form").submit();
        })
        
        $wc('#wc-tab-page').easytabs({
            animate: false
        });
        
        $wc('a[id^="wc-on-every-"]').click(function() {
            $wc(this).closest('td').find(':checkbox').prop("checked", true);
            return false;    
        })
    })
    
    function checkWcType(control) {
        var $wc = jQuery.noConflict();
        //TO-DO: Show AR or Button type block
        var mainId = $wc(control).attr("id");
        if ($wc("#"+mainId+"-block").attr("class") == "wc-video-thumb active") {
            var wcType = $wc("#"+mainId+"-type").val();
            var wcTypeName = $wc("#"+mainId+"-type-name").val();
            switch (wcType) {
                case "<?php echo WC_TYPE_AR; ?>":
                    $wc(".wc-type-ar").show();
                    $wc(".wc-type-button").hide();
                    break;
                case "<?php echo WC_TYPE_BTN; ?>":
                    $wc(".wc-type-ar").hide();
                    $wc(".wc-type-button").show();
                    break;
            }
             $wc("#wc-type-name").html(wcTypeName)
        }
    }
    
    function procBtnPreview() {
        var $wc = jQuery.noConflict();
        var btnStyle =  $wc("#wc-btn-style").val();
        var btnColor = $wc("#wc-btn-color").val();
        var htmPreview = "";
        var btnClass= "";
        var btnContent = $wc("#wc-link-display").val();
        var btnIcon = $wc('input[name=wc-btn-icon]:checked').val();
        $wc("#wc-btn-icon-container").hide();
        switch (btnStyle) {
            case "engraved":
                btnClass = btnColor;
                htmPreview = "<div class='engraved'><a href='javascript:void(0);' class='"+btnClass+"'>"+btnContent+"</a></div>";
                break;
            case "icon":
                $wc("#wc-btn-icon-container").show();
                btnClass = btnStyle + " " + btnColor;
                htmPreview = "<a href='javascript:void(0);' class='"+btnClass+"'><span>"+btnIcon+"</span>"+btnContent+"</a>";
                break;
            default:
                btnClass = btnStyle + " " + btnColor;
                htmPreview = "<a href='javascript:void(0);' class='"+btnClass+"'>"+btnContent+"</a>";
                break;
        }
        $wc("#wc-btn-prev-container").html(htmPreview);
    }
    
    
</script>

<style>
    .wc-video-thumb {
        float: left;
        width: 150px;
        margin: 10px 10px 0 0;
        display:inline-block;
        height: 260px;
        -webkit-border-top-left-radius: 10px;
        -webkit-border-top-right-radius: 10px;
        -moz-border-radius-topleft: 10px;
        -moz-border-radius-topright: 10px;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }
    .wc-video-thumb img {
        width: 100%;
        height: 113px;
        -webkit-border-radius: 10px;
        -webkit-border-radius: 10px;
        -moz-border-radius: 10px;
        -moz-border-radius: 10px;
        border-radius: 10px;
        border-radius: 10px;
    }
    .wc-video-thumb .wc-video-thumb-content h3 {
        padding-top: 0px;
        margin: 0px;
    }
    .wc-video-thumb .wc-video-thumb-content p.display-time {
        font-size: 11px;
        margin: 0px auto;      
    }
    .wc-video-thumb-content {
        padding: 5px;
    }
    .wc-video-thumb:hover, .wc-video-thumb.active {
        background: #e1e1e1;
    }
</style>

<div class="wrap">
    <div id="icon-options-general" class="icon32"><br /><br /></div>
    <h2><?php echo WC_PLUGIN_TITLE; ?> &nbsp;-&nbsp; <a class="button button-primary" href="http://www.webcasterwp.com/my-video" target="_blank">Click here to find out more about getting your very OWN custom video for WebCaster.</a></h2>
    <div id="wc-preview-container" >
        <?php
            if (!$detect->isMobile() && !$detect->isTablet()) {
                include("casters/wc_common.php");  
            }
        ?>  
    </div> 
    <form id="wc-form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <div id="wc-tab-page">
        <ul id="tab">
            <li class="first"><a href="#videos">Casters</a></li>
            <li><a href="#options">Options</a></li>
        </ul>
        <div class="wc-tab-pane" id="videos">
            <input type="hidden" name="wc-video" id="wc-selected-video" value="<?php echo $wc_opt_video; ?>" />
            <div id="wc-available-videos">
                <?php 
                    $wc_videos = WCCaster::get_videos();
                    foreach ($wc_videos as $wc_video) {
                        echo get_html_wc_row((int)$wc_video["id"], $wc_opt_video); 
                    }
                    
                ?>  
            </div>
        </div>
        <div class="wc-tab-pane" id="options">
            <table class="form-table">   
                <tr>
                    <td>Display After:</td>
                    <td>
                        <input type="text" size="5" value="<?php echo $wc_opt_displaytime; ?>" name="wc-display-time" id="wc-display-time" /> <code>Seconds</code>
                        <p class="description">Input 0 to auto show WebCaster</p>
                    </td>
                </tr>
                <tr>
                    <td>Dimmed Background:</td>
                    <td><input type="checkbox" value="" <?php echo $wc_opt_dimmed ? "checked='1'" : ""; ?> name="wc-display-dimmed" id="wc-display-dimmed" /><label for="wc-display-dimmed"> Dimmed</label></td>
                </tr>
                <tr>
                    <td>Video Location:</td>
                    <td>
                        <select name="wc-location">
                            <option value="left" <?php echo $wc_opt_location == "left" ? "selected=1" : "" ?>>Left</option>
                            <option value="center" <?php echo $wc_opt_location == "center" ? "selected=1" : "" ?>>Center</option>
                            <option value="right" <?php echo $wc_opt_location == "right" ? "selected=1" : "" ?>>Right</option>
                        </select>
                    </td>
                </tr>
                <tr><td colspan="2"><h3>Command Options (<span id="wc-type-name"></span>)</h3></td></tr>
                <!-- Button Type Section -->
                <tr class="wc-type-button">
                    <td>Button URL: </td>
                    <td><input type="text" size="50" value="<?php echo $wc_opt_btn_url; ?>" name="wc-redirect-link" /> <code>Eg: http://www.sampledomain.com</code></td>
                </tr>
                <tr class="wc-type-button">
                    <td>Button Text: </td>
                    <td>
                        <input type="text" size="50" id="wc-link-display" value="<?php echo $wc_opt_btn_value; ?>" name="wc-link-display" />
                        <p class="description">The display text that will display.</p>
                    </td>
                </tr>
                <tr class="wc-type-button">
                    <td valign="top">Button Style:</td>
                    <td>
                        <select name="wc-btn-style" id="wc-btn-style">
                            <option value="standard">Standard</option>
                            <option value="arrow">Arrow</option>
                            <option value="bevel">Bevel</option>
                            <option value="engraved">Engraved</option>
                            <option value="icon">Icon</option>
                        </select>
    
                        <div id="wc-btn-icon-container" style="font-family: WebSymbolsRegular; font-size: 14px;">
                            <p>
                            <?php 
                                $cntr = 0;
                                foreach(range('a','z') as $i) {
                                    echo "<input type='radio' name='wc-btn-icon' id='wc-btn-icon-$i' value='$i' /> <label for='wc-btn-icon-$i' >$i</label> ";
                                    $cntr++;
                                    if ($cntr == 10 || $cntr == 20)
                                        echo "<br />";
                                }
                            ?>
                            </p>
                        </div>
    
                    </td>
                </tr>
                <tr class="wc-type-button">
                    <td>Button Color:</td>
                    <td>
                        <select name="wc-btn-color" id="wc-btn-color">
                            <option value="red">Red</option>
                            <option value="orange">Orange</option>
                            <option value="green">Green</option>
                            <option value="blue">Blue</option>
                            <option value="gray">Gray</option>
                            <option value="dark">Dark</option>
                        </select>
                    </td>
                </tr>
                <tr class="wc-type-button">
                    <td><h4>Button Preview:</h4></td>
                    <td>
                        <div id="wc-btn-prev-container"></div>
                    </td>
                </tr>
                <!-- AR CODE Section -->
                <tr class="wc-type-ar">
                    <td valign="top"><p>AutoResponder (AR) Code:</p></td>
                    <td>
                        <textarea name="wc-ar-code" cols="150" rows="7"><?php echo htmlentities(stripslashes($wc_opt_ar_code));?></textarea>
                        <p><code>Paste your AR code in the Box above.</code></p>
                    </td>
                </tr>     
            </table>

        </div>
    </div>
    <div style="clear: both;"></div>

        
        <p class="submit"><input type="submit" name="wc-update" value="Save Changes" class="button button-primary" /> <input type="button" value="Preview" class="button" onclick="wcPlayVideo();" /></p>
    <p class="description">Save changes first to view preview of selected video</p>
    </form>
</div>