<?php

/* 
    Plugin Name: WebCaster LITE
    Plugin URI: http://www.webcasterwp.com
    Description: Promote your product with LIVE person video using WebCaster Plugin (LITE Version).
    Author: Jovanni Lo
    Version: 1.0 
    Author URI: http://www/webcasterwp.com
*/  


    require_once("includes/config.php");
    require_once("includes/class.caster.php");
    require_once("includes/class.device_detect.php");
    add_action('admin_menu', 'wcaster_scripts_with_jquery');
    add_action('admin_menu', 'wcaster_admin_actions'); 
    add_action('admin_menu', 'wcaster_styles');

    add_action('wp_enqueue_scripts', 'wcaster_scripts_with_jquery'); 
    add_action('wp_enqueue_scripts', 'wcaster_styles'); 
    add_action('wp_head','wcaster_display');
    
    $api_url = WC_UPDATE_URL;
    $plugin_slug = basename(dirname(__FILE__));
    
    // Take over the update check
    add_filter('pre_set_site_transient_update_plugins', 'wcaster_check_for_update');
    
    function wcaster_check_for_update($checked_data) {
    	global $api_url, $plugin_slug, $wp_version;
    	
    	//Comment out these two lines during testing.
    	if (empty($checked_data->checked))
    	    return $checked_data;
    	
    	$args = array(
    		'slug' => $plugin_slug,
    		'version' => $checked_data->checked[$plugin_slug .'/webcaster.php'],
    	);
    	$request_string = array(
    			'body' => array(
    				'action' => 'basic_check', 
    				'request' => serialize($args),
    				'api-key' => md5(get_bloginfo('url'))
    			),
    			'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo('url')
    		);
    	
    	// Start checking for an update
    	$raw_response = wp_remote_post($api_url, $request_string);
    	
    	if (!is_wp_error($raw_response) && ($raw_response['response']['code'] == 200))
    		$response = unserialize($raw_response['body']);
    	
    	if (is_object($response) && !empty($response)) // Feed the update data into WP updater
    		$checked_data->response[$plugin_slug .'/webcaster.php'] = $response;
    	
    	return $checked_data;
    }
    
    
    // Take over the Plugin info screen
    add_filter('plugins_api', 'wcaster_plugin_api_call', 10, 3);
    
    function wcaster_plugin_api_call($def, $action, $args) {
    	global $plugin_slug, $api_url, $wp_version;
    	
    	if (!isset($args->slug) || ($args->slug != $plugin_slug))
    		return false;
    	
    	// Get the current version
    	$plugin_info = get_site_transient('update_plugins');
    	$current_version = $plugin_info->checked[$plugin_slug .'/webcaster.php'];
    	$args->version = $current_version;
    	
    	$request_string = array(
    			'body' => array(
    				'action' => $action, 
    				'request' => serialize($args),
    				'api-key' => md5(get_bloginfo('url'))
    			),
    			'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo('url')
    		);
    	
    	$request = wp_remote_post($api_url, $request_string);
    	
    	if (is_wp_error($request)) {
    		$res = new WP_Error('plugins_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>'), $request->get_error_message());
    	} else {
    		$res = unserialize($request['body']);
    		
    		if ($res === false)
    			$res = new WP_Error('plugins_api_failed', __('An unknown error occurred'), $request['body']);
    	}
    	
    	return $res;
    }
    

    function wcaster_scripts_with_jquery()  
    {  
        // Register the script like this for a plugin:  
        wp_register_script( 'jwplayer', plugins_url( '/casters/jwplayer/jwplayer.js', __FILE__ ) );
        wp_register_script( 'easytabs', plugins_url( '/js/jquery.easytabs.min.js', __FILE__ ), array( 'jquery' ) );  
        wp_register_script( 'hashchange', plugins_url( '/js/jquery.hashchange.min.js', __FILE__ ), array( 'jquery' ) );  

        // For either a plugin or a theme, you can then enqueue the script:  
        wp_enqueue_script( 'easytabs' );  
        wp_enqueue_script( 'hashchange' );  
        wp_enqueue_script( 'jwplayer' );  
    }  
     
    function wcaster_styles()  
    {  
        // Register the style like this for a plugin:  
        wp_register_style( 'buttons-style', plugins_url( '/css/buttons/wc-buttons.css', __FILE__ ), array(), '201301', 'all' );  
        // For either a plugin or a theme, you can then enqueue the style:  
        wp_enqueue_style( 'buttons-style' );  
    }  
 

    //add options
    function wcaster_admin_actions() {  
        //add_options_page("WebCaster", "WebCaster", 1, "wcasteroptions", "wcaster_admin");  
        add_menu_page(WC_PLUGIN_TITLE, WC_PLUGIN_TITLE, 1, __FILE__ , "wcaster_admin",plugins_url( '/images/menu_icon.png', __FILE__ ));
    }  
    function wcaster_admin() {  
        include('webcaster.options.php');  
    }  

    //display our plugin
    function wcaster_display() {
        wcaster_init_display();
    }
    
    function wcaster_init_display() {
        $detect = new Mobile_Detect;
        if ($detect->isMobile() || $detect->isTablet()) return;
        if (!isset($_COOKIE["wc_button_clicked"])) {
            echo '<script type="text/javascript">
                var $wc = jQuery.noConflict();
                $wc(document).ready(function() {
                    setTimeout(wcPlayVideo, '.(get_option('wc_opt_displaytime') * 1000).');
                })
            </script>';
            require_once("casters/wc_common.php");
        }
    }
    
    function wcaster_get_command_content($wc_tye) {
        if ($wc_tye == WC_TYPE_BTN) {
            $icon = get_option("wc_opt_btn_icon");
            $type = get_option("wc_opt_btn_style");
            $color = get_option("wc_opt_btn_color");
            $content = htmlentities(stripslashes(get_option("wc_opt_btn_value") == "" ? "Click Here" : get_option("wc_opt_btn_value"))); 
            $url = htmlentities(stripslashes(get_option("wc_opt_btn_url")));
            switch ($type) {
                case "engraved":
                    $output = '<div class="engraved"><a onclick="setWcCookie();" href="' . $url . '" class="' . $color . '">' . do_shortcode($content) . '</a></div>';
                    break;
                case "icon":
                    $output = '<a onclick="setWcCookie();" href="' . $url . '" class="' . $type . ' ' . $color . '"><span>' . $icon . '</span>' . do_shortcode($content) . '</a>';
                    break;
                default:
        		  $output = '<a onclick="setWcCookie();" href="' . $url . '" class="' . $type . ' ' . $color . '">' . do_shortcode($content) . '</a>';
                  break;
                    
            }
        } elseif ($wc_tye == WC_TYPE_AR) {
            $output = stripslashes(get_option("wc_opt_ar_code"));
        }
    	return $output;
    }

    
?>
